CREATE TABLE IF NOT EXISTS sidx_uri(
    id INTEGER,
    uri TEXT UNIQUE,
    PRIMARY KEY(id)
    );
CREATE TABLE IF NOT EXISTS sidx_blake3(
    id INTEGER,
    blake3 TEXT UNIQUE, /* snix-castore node */
    n_bytes INTEGER NOT NULL,
    PRIMARY KEY(id)
    );
CREATE TABLE IF NOT EXISTS sidx_uri_sample(
    id INTEGER,
    uri_id INTEGER NOT NULL,
    blake3_id INTEGER,
    epoch INTEGER NOT NULL DEFAULT (unixepoch()),
    PRIMARY KEY(id),
    FOREIGN KEY(uri_id) REFERENCES sidx_uri(id),
    FOREIGN KEY(blake3_id) REFERENCES sidx_blake3(id)
);
CREATE INDEX IF NOT EXISTS sidx_uri_blake3_idx
ON sidx_uri_sample(uri_id, blake3_id, epoch);
